ReferenceAgents, threads and templates
The team's service-managed agent with this key, created the first time (editor service accounts)
PUT
Idempotent; 201 when it was created. For services that give each of their users an agent, such as a chat app. Service-managed agents are used only by the team's service accounts: the team's people don't see their conversations, though its owners and admins can delete them. The body names a new agent and is ignored for an existing one.
team*stringTeam slug or ID
externalKey*stringThe service's own key for the agent, for example its user's ID
Match
^[A-Za-z0-9._:@-]{1,200}$application/json- body
name?stringDefaults to the external key
Length
length <= 100description?stringLength
length <= 2000template?stringA platform template's slug (default assistant), when templateId is not given
templateId?stringFormat
uuidmodelId?stringFor a new agent, a model published to the team (default the template's)
Format
uuidThe existing agent
application/json- response
data*curl -X PUT 'https://agents.example.com/v1/teams/string/agents/by-key/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "teamSlug": "string", "teamName": "string", "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d", "templateSlug": "string", "templateName": "string", "templateVersion": 0, "templateCurrentVersion": 0, "externalKey": "string", "enabled": true, "running": true, "model": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "providerName": "string", "source": "agent", "available": true }, "lastUsedAt": "2019-08-24T14:15:22Z", "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}